Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class AmbiguousMethodInvocation

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.VarInit
              javafe.ast.Expr
                  javafe.ast.AmbiguousMethodInvocation

All Implemented Interfaces:
  java.lang.Cloneable

public class AmbiguousMethodInvocation
extends Expr

Represents a Name occuring before an argument list. Is created by the parser, and then resolved to either an InstanceMethodAccess or ClassMethodAccess by the name resolution code.

Thus for the method call "x.y()", the "x.y" part is initially represented as a MethodName, and then resolved to a InstanceMethodAccess if "x" is a variable, or resolved to a ClassMethodAccess if "x" is a type name.

Field Summary
`ExprVec` | `args`
`int` | `locOpenParen`
`Name` | `name`
`TypeModifierPragmaVec` | `tmodifiers`

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`protected` | `AmbiguousMethodInvocation()` Construct a raw AmbiguousMethodInvocation whose class invariant(s) have not yet been established.

Method Summary
`void` | `accept(Visitor v)` Accept a visit from `v`.
`java.lang.Object` | `accept(VisitorArgResult v, java.lang.Object o)`
`void` | `check()`
`java.lang.Object` | `childAt(int index)` Return the first-but-ith child of a node.
`int` | `childCount()` Return the number of children a node has.
`int` | `getEndLoc()`
`int` | `getStartLoc()`
`int` | `getTag()` Return the tag of a node.
`static AmbiguousMethodInvocation` | `make(Name name, TypeModifierPragmaVec tmodifiers, int locOpenParen, ExprVec args)`
`java.lang.String` | `toString()` Return a string representation of `this`.

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public Name name

### tmodifiers

    public TypeModifierPragmaVec tmodifiers

### locOpenParen

    public int locOpenParen

### args

    public ExprVec args

Constructor Detail

### AmbiguousMethodInvocation

    protected AmbiguousMethodInvocation()

  Construct a raw AmbiguousMethodInvocation whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### getStartLoc

    public int getStartLoc()

  Specified by:
    `getStartLoc` in class `ASTNode`

### getEndLoc

    public int getEndLoc()

  Overrides:
    `getEndLoc` in class `ASTNode`

### childCount

    public final int childCount()

  Description copied from class: `ASTNode`
  Return the number of children a node has.

  Specified by:
    `childCount` in class `ASTNode`

### childAt

    public final java.lang.Object childAt(int index)

  Description copied from class: `ASTNode`
  Return the first-but-ith child of a node.

  Specified by:
    `childAt` in class `ASTNode`

### toString

    public final java.lang.String toString()

  Description copied from class: `ASTNode`
  Return a string representation of `this`. Meant for debugging use only, not for presentation.

  Specified by:
    `toString` in class `ASTNode`

### getTag

    public final int getTag()

  Description copied from class: `ASTNode`
  Return the tag of a node.

  Specified by:
    `getTag` in class `ASTNode`

### accept

    public final void accept(Visitor v)

  Description copied from class: `ASTNode`
  Accept a visit from `v`. This method simply calls the method of `v` corresponding to the allocated type of `this`, passing `this` as the argument. See the design patterns book.

  Specified by:
    `accept` in class `ASTNode`

### accept

    public final java.lang.Object accept(VisitorArgResult v,
                                         java.lang.Object o)

  Specified by:
    `accept` in class `ASTNode`

### check

    public void check()

  Overrides:
    `check` in class `Expr`

### make

    public static AmbiguousMethodInvocation make(Name name,
                                                 TypeModifierPragmaVec tmodifiers,
                                                 int locOpenParen,
                                                 ExprVec args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage